import React, { useMemo } from 'react';
import Select from 'react-select';
import { useFormContext } from './CustomForm';
const CustomFormFieldSelect = ({
  options = [],
  value,
  onChange,
  isValid = true,
  noOptionMessage = 'Aucun résultat',
  placeholder = '',
  disabled = false,
  multi = false,
  fieldName = '',
  setFormField = () => {}
}, ref) => {
  const {
    displayError
  } = useFormContext();
  const formattedValue = useMemo(() => !multi ? options.find(o => o.value === value) : options.filter(o => value.includes(o.value)), [value, options]);
  const handleChangeSelect = obj => {
    if (fieldName != '' && onChange == null) setFormField(fieldName, multi ? obj.map(({
      value
    }) => value) : obj.value);else if (onChange != null) onChange(obj);
  };
  return /*#__PURE__*/React.createElement(Select, {
    className: `react-select ${!isValid && displayError ? 'is-invalid' : ''}`,
    value: formattedValue,
    onChange: handleChangeSelect,
    options: options,
    noOptionsMessage: () => noOptionMessage,
    placeholder: placeholder,
    isDisabled: disabled,
    isMulti: multi
  });
};
export default CustomFormFieldSelect;